LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDocumentInsertable Interface Referencepublished

Makes it possible to import a document from a given URL into this document. More...

`import "XDocumentInsertable.idl";`

Inheritance diagram for XDocumentInsertable:

## Public Member Functions
void | insertDocumentFromURL ([in] string aURL, [in] sequence< com::sun::star::beans::PropertyValue > aOptions) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::IOException )
| Inserts the document that is specified by the URL.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Makes it possible to import a document from a given URL into this document.

Developers Guide
  Text Documents - Inserting Text Files

## Member Function Documentation

## ◆ insertDocumentFromURL()

void insertDocumentFromURL | ( | [in] string | aURL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | aOptions )
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::io::IOException ) |  |  |

Inserts the document that is specified by the URL.

The document will be inserted at the current cursor position.

Make sure that you insert at a position which can be split in two paragraphs (i.e. not inside of a field).

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentInsertable.idl